// pages/branches/brancheslist.js
const app = getApp()
Page({
    /**
     * 页面的初始数据
     */
    data: {
        branchesList: [],
        CustomBar: app.globalData.CustomBar,
        countTime: 2000, //延迟搜索 时间
        searchWaiting: false, //是否等待搜索倒计时中,
        searchKey: '',
        sourceUrl: app.baseUrls.cardUrl + app.baseUrls.baseImgUrl
    },
    getExamPlace: function () {
        var self = this
        app.restAjax.get(app.restAjax.path(app.apis.examPlace, [app.baseUrls.cardUrl]), {}, {},
          function (code, data) {
            if (code == 200) {
              if (data.institutionImage) {
                  data.institutionImage = data.institutionImage.split(',')[0]
              }
              self.setData({
                  branchesList: data
              })
            }
          },
          function (code, err) {
            console.log(err)
          })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.getExamPlace()
    },
    // showDetail(e) {
    //     var item = e.currentTarget.dataset.item
    //     wx.navigateTo({
    //         url: './branchesdetail',
    //     })
    // },
    doSearch(e) {
        this.setData({
            countTime: 2000,
            searchKey: e.detail.value,
        })
        //是否处于搜索倒计时中
        if (!this.data.searchWaiting) {
            this.timer();
        }
    },
    getResultsList(key) {
        console.log('搜索中' + key)
    },
    /**
     *  延迟搜索  
     */
    timer() {
        var _self = this;
        this.setData({
            searchWaiting: true
        })
        let promise = new Promise((resolve, reject) => {
            let setTimer = setInterval(
                () => {
                    console.log('搜索倒计时: ' + _self.data.countTime);
                    _self.setData({
                        countTime: _self.data.countTime - 1000
                    })
                    if (_self.data.countTime <= 0) {
                        console.log('开始搜索: ' + _self.data.searchKey);
                        _self.setData({
                            countTime: 2000,
                            searchWaiting: false,
                        })
                        resolve(setTimer)
                    }
                }, 1000)
        })
        promise.then((setTimer) => {
            _self.getResultsList(_self.data.searchKey)
            clearInterval(setTimer) //清除计时器
        })
    },
})